export const CUSTOM_DATE_FORMAT = 'DD.MM.YYYY';
export const CUSTOM_DATE_API_FORMAT = 'YYYY-MM-DD';
export const CUSTOM_DATE_TIME_FORMAT = 'DD.MM.YYYY HH:mm:ss';
export const CUSTOM_DATE_TIME_API_FORMAT = 'YYYY-MM-DD HH:mm:ss';
export const CUSTOM_MONTH_AND_YEAR_FORMAT = 'MM.YYYY';
export const CUSTOM_YEAR_FORMAT = 'YYYY';

export const CUSTOM_DATE_FORMATS = {
  parse: {
    dateInput: CUSTOM_DATE_FORMAT,
  },
  display: {
    dateInput: CUSTOM_DATE_FORMAT,
    monthYearLabel: 'MMMM YYYY',
    dateA11yLabel: 'DD.MM.YYYY',
    monthYearA11yLabel: 'MMMM YYYY',
  },
};

export const CUSTOM_DATETIME_FORMATS = {
  parse: {
    dateInput: CUSTOM_DATE_TIME_FORMAT,
  },
  display: {
    dateInput: CUSTOM_DATE_TIME_FORMAT,
    monthYearLabel: 'MM yyyy',
    dateA11yLabel: 'LL',
    monthYearA11yLabel: 'MMMM YYYY',
  }
};

export const CUSTOM_MONTH_AND_YEAR_FORMATS = {
  parse: {
    dateInput: CUSTOM_MONTH_AND_YEAR_FORMAT,
  },
  display: {
    dateInput: CUSTOM_MONTH_AND_YEAR_FORMAT,
    monthYearLabel: 'MM yyyy',
    dateA11yLabel: 'LL',
    monthYearA11yLabel: 'MMMM YYYY',
  }
};

export const CUSTOM_YEAR_FORMATS = {
  parse: {
    dateInput: CUSTOM_YEAR_FORMAT,
  },
  display: {
    dateInput: CUSTOM_YEAR_FORMAT,
    monthYearLabel: 'MM yyyy',
    dateA11yLabel: 'LL',
    monthYearA11yLabel: 'MMMM YYYY',
  }
};
