import {FormControl} from '@angular/forms';

// custom validator to check that two fields match
export function ValidateGreaterThan(formControl: FormControl, minValue: number = 0) {
  if (+formControl.value > minValue) {
    return null;
  } else {
    return { greaterThanValidation: true };
  }
}
