import {Article} from "./article";

export interface InventoryList {
  document_date: string;
  document_no: string;
  inventory_id: number;
  ligne_id: number | null;
  ligne_lbl: string | null;
  status: number;
  stock_location_id: number;
  stock_location_lbl: string;
}

export interface BonInventoryItem {
  item_id?: number;
  article_id: number;
  article_reference: string;
  article_desc: string;
  qte: number;
  qte_stock: number;
  unit_price: number;
  total_price:number,
  article_serials: string[];
  removed_serials: string[];
}

export interface BonInventory {
  inventory_id?: number;
  document_no?: string;
  stock_location_id: number;
  stock_location_lbl?: number;
  dated: string;
  ligne_id?: number | "";
  ligne_lbl?: string;
  articles: BonInventoryItem[];
  custom_articles?: Article[];
  status: number;
}
