export interface ExpeditionCustomer {
  name: string;
  address1: string;
  address2: string;
  code_postal: string;
  ville: string;
  instruction1: string;
  instruction2: string;
  contact: string;
  telephone: string;
}

export interface LineColis {
  colis_id?: number;
  number: string;
  poid: number;
  assurance: number;
}

export interface LivraisonExpedition {
  livraison_expedition_id?: number;

  ticket_number: string;

  livraison_id: number;
  livraison_document_no: string;

  depot_id: number;
  depot_lbl?: string;

  customer: ExpeditionCustomer;
  compte_de_expedition: string;
  service_expedition_id: number;
  service_expedition_lbl?: string;
  total_assurance: number;
  livraison_samdi_status: number;
  reference_number: string;
  expedition_type: string;
  ticket_glp: string;
  return_status: number;
  colis: LineColis[];
  total_colis: number;
  total_poids: number;

  created_at?: string;
  created_userid?: number;
  created_username?: string;
  modified_at?: string;
  modified_userid?: number;
  modified_username?: string;
}
