export interface CustomHttpResponse<T> {
  status: string;
  message: string;
  imageurl?: string;
  data: T;

  // For pagination
  currentPage?: number;
  rowsPerPage?: number;
  totalPages?: number;
  totalRows?: number;

  // For login API
  token?: string;
  refresh_token?: string;
}
