export interface LinkedArticleList {
  article_id: number;
  article_reference: string;
  article_lbl: string;
}

export interface LinkedContactList {
  contact_id: number;
  contact_name: string;
  contact_mail: string;
}

export interface Store {
  store_id: number;
  store_nom: string;
  store_type: "client" | "supplier";
  store_brand_id: number;
  store_brand: string;
  store_brand_tel: string;
  store_brand_mail: string;
  store_category_id: number;
  store_category: string;
  store_hq: number;
  store_address: string;
  store_code_postal: string;
  store_ville: string;
  store_pays: string;
  storefac_address: string;
  storefac_code_postal: string;
  storefac_ville: string;
  storefac_pays: string;
  store_de_livraison?: number;
  store_de_commande?: number;
  defriement_id: number;
  defriement_lbl?: string;
  article_list?: LinkedArticleList[];
  contact_list?: LinkedContactList[];
}

export interface StoreList {
  store_id: number;
  store_category_id: number;
  store_category: string;
  store_brand_id: number;
  store_brand: string;
  store_nom: string;
  store_hq: number;
  store_type: string;
  store_address: string;
  store_code_postal: string;
  store_ville: string;
  store_pays: string;
  storefac_address: string;
  storefac_code_postal: string;
  storefac_ville: string;
  storefac_pays: string;
}
