import { Pipe, PipeTransform } from '@angular/core';
import * as moment from "moment";
import {CUSTOM_DATE_FORMAT, CUSTOM_DATE_TIME_FORMAT} from "../_helpers/custom-date-formats";

@Pipe({
  name: 'dateReadable'
})
export class CustomDateFormatPipe implements PipeTransform {

  transform(value: string, type: 'date' | 'datetime'): unknown {
    if(type === 'datetime') {
      return moment(value).format(CUSTOM_DATE_TIME_FORMAT);
    }

    return moment(value).format(CUSTOM_DATE_FORMAT);
  }

}
