import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import {CustomDateFormatPipe} from "./custom-date-format.pipe";
import { CustomNumberFormatPipe } from './custom-number-format.pipe';
import {IMaskModule, IMaskPipe} from "angular-imask";

@NgModule({
  declarations: [
    CustomDateFormatPipe,
    CustomNumberFormatPipe
  ],
  imports: [
    CommonModule,
    IMaskModule
  ],
  providers: [
    IMaskPipe
  ],
  exports: [
    IMaskModule,
    CustomDateFormatPipe,
    CustomNumberFormatPipe
  ]
})
export class CustomPipesModule { }
