import { Component, OnInit } from '@angular/core';
import { APP_CONSTANTS } from 'src/app/_helpers/constants';

@Component({
  selector: 'app-options',
  templateUrl: './options.component.html',
  styleUrls: ['./options.component.scss']
})
export class OptionsComponent implements OnInit {

  rolePermission:any;

  constructor() { }

  ngOnInit(): void {
    const user_role_permission = localStorage.getItem(APP_CONSTANTS.USER_ROLE_PERMISSION_KEY);
      if(user_role_permission != null) {
        this.rolePermission = JSON.parse(user_role_permission);
      }
  }

}
