import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DateFormatDirective } from './date-format.directive';
import { BackButtonDirective } from "./back-button.directive";
import { RouterModule } from "@angular/router";
import { MonthformatDirective } from './monthformat.directive';
import { YearformatDirective } from './yearformat.directive';

@NgModule({
  declarations: [
    BackButtonDirective,
    DateFormatDirective,
    MonthformatDirective,
    YearformatDirective
  ],
  imports: [
    CommonModule,
    RouterModule
  ],
  exports: [
    BackButtonDirective,
    DateFormatDirective,
    MonthformatDirective,
    YearformatDirective
  ]
})
export class CustomDirectivesModule { }