export interface LinkedStores {
  store_id: number;
  store_name: string;
}

export interface Brand {
  brand_id: number;
  brand_lbl: string;
  brand_tel: string;
  brand_mail: string;
  brand_logo: string;
  brand_type: string;
  brand_contract: string;
  stock_location_id?: number;
  stock_location_lbl?: string;
  stores_list: LinkedStores[] | null;
}

export interface BrandList {
  brand_id: number;
  brand_lbl: string;
  brand_phone: string;
  brand_email: string;
  brand_logo: string;
  brand_type: string;
}

