export interface ContactList {
  contact_id: number
  brand_name: string;
  brand_type: string;
  contact_email: string;

  contact_name: string;
  contact_phone: string;
  store_address: string;
  store_code_postal: string;
  store_hq: number;
  store_nom: string;
  store_pays: string;
  store_ville: string;
}

export interface Contact {
  CTID: number;
  CTNOMDU: string;
  CTTEL: string;
  CTMAIL: string;
  CTPOSTE: string;

  CTCSTID?: number;
  CSTNOM?: string;
  CTSSTID?: any;
  SSTNOM?: any;

  CTBRID: number;
  BRTYPE: 'client' | 'supplier';
  BRLAB: string;
}

export interface StoreCategories {
  category_id: number;
  category_label: string;
}

export interface StoreClientCategories {
  CCTID: number;
  CCTLBL: string;
}

export interface StoreSupplierCategories {
  SCTID: number;
  SCTLBL: string;
}
