export interface Dashboard {
    achat: Model[]
    alert_articles: {
      obsolescence: AlertArticlesModel[]
      obsolescence_count: number
      threshold: AlertArticlesModel[]
      threshold_count: number
    }
    livraison: Model[]
    pending: {
      achat: number
      inventory: number
      livraison: number
      livraison_return: number
      reception: number
    }
    reception: Model[]
  }

  export interface Model{
    label:string
    value:number
  }

  export interface AlertArticlesModel{
    id: number
    label: string
    reference: string
  }