export interface QuickSearchContact {
  contact_id: number;
  contact_name: string;
  contact_phone: string;
  contact_email: string;
  brand_name: string;
  brand_type: string;
  store_nom: string;
  store_hq: number;
  store_address: string;
  store_code_postal: string;
  store_ville: string;
  store_pays: string;
}

export interface QuickSearchArticle {
  id: number;
  label: string;
  reference: string;
  assurance: number;
  public_prix: number;
  purchase_prix: number;
  image: string;
  avail_stock: number;
}

export interface QuickSearchDocument {
  document_id: number;
  document_no: string;
  document_type: string;
  document_name: string;
  ligne_id: number;
  ligne_lbl: string;
  store_id: number;
  store_type: string;
  store_name: string;
  dated: string;
  total_price: number;
  created_at: string;
  modified_at: string;
  status: number;
}
